VMTKSURFACEARRAYSMOOTHING(1)

NAME
vmtksurfacearraysmoothing - vmtk script vmtksurfacearraysmoothing

DESCRIPTION
Automatic piping vmtksurfacearraysmoothing Parsing options vmtksurfacearraysmoothing

vmtksurfacearraysmoothing : Perform smoothing of the point array

    defined on the surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-surfacearray SurfaceArrayName (str,1)

-connexity Connexity (int,1) >= 1 and <= 2; default=1: patch

    connexity considered in the smoothing procedure

-relaxation Relaxation (float,1) >= 0.0 and <= 1.0; default=1.0:

    relaxation factor

-iterations Iterations (int,1); default=1: number of smoothing

    iterations

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface with the smoothed

    array